/***************************************************************************
 *   Copyright (C) 2007 by Thomas Keller                                   *
 *   me@thomaskeller.biz                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 ***************************************************************************/

#ifndef ADDEDITATTRIBUTE_H
#define ADDEDITATTRIBUTE_H

#include "ui_add_edit_attribute.h"
#include "Dialog.h"
#include "vocab.h"

class AddEditAttribute : public Dialog, private Ui::AddEditAttributeDialog
{
    Q_OBJECT

public:
    AddEditAttribute(QWidget *,
        const QString & key = QString(), const QString & value = QString());
    ~AddEditAttribute();
    QString getKey() const { return attrKey->currentText(); }
    QString getValue() const { return attrValue->text(); }
};

#endif

