/***************************************************************************
 *   Copyright (C) 2010 by Thomas Keller                                   *
 *   me@thomaskeller.biz                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 ***************************************************************************/

#ifndef CHANGE_KEY_PASSWORD_H
#define CHANGE_KEY_PASSWORD_H

#include "Dialog.h"
#include "vocab.h"
#include "ui_change_key_password.h"

class ChangeKeyPassword : public Dialog, private Ui::ChangeKeyPassword
{
    Q_OBJECT
public:
    ChangeKeyPassword(QWidget *);
    ~ChangeKeyPassword();

    void init(const QString &);

signals:
    void keyPasswordChanged(const QString &);

public slots:
    void accept();

private:
    QString keyHash;
};

#endif

