/***************************************************************************
 *   Copyright (C) 2009 by Thomas Keller                                   *
 *   me@thomaskeller.biz                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 ***************************************************************************/

#ifndef TOOLBOX_H
#define TOOLBOX_H

#include <QToolBox>

class ToolBox : public QToolBox
{
    Q_OBJECT

public:
    ToolBox(QWidget *);
    ~ToolBox();

    void setItemText(int index, const QString & text);

public slots:
    void setCurrentIndex(int index);

protected:
    void itemInserted(int index);

protected slots:
    void currentIndexChanged(int);
};

#endif
