/***************************************************************************
 *   Copyright (C) 2007 by Thomas Keller                                   *
 *   me@thomaskeller.biz                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 ***************************************************************************/

#ifndef WORKSPACE_CREATOR_H
#define WORKSPACE_CREATOR_H

#include "FileExporter.h"

class WorkspaceCreator : public FileExporter
{
    Q_OBJECT
public:
    WorkspaceCreator(const MonotoneHandlePtr &, const QString &, const QDir &);
    bool run();

    static bool createBookkeepingDirectory(QDir workspace,
                                           const MonotoneHandlePtr & db,
                                           const QString & branch,
                                           const QString & revision = QString());
};

#endif
