/***************************************************************************
 *   Copyright (C) 2006 by Thomas Keller                                   *
 *   me@thomaskeller.biz                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 ***************************************************************************/

#include "About.h"

About::About(QWidget * parent) : Dialog(parent)
{
    setupUi(this);
    Dialog::init();

    aboutText->setText(
        tr("<small>Version %1<br/>(revision %2)</small>").arg(GUITONE_VERSION).arg(GUITONE_REVISION) +
        tr("<br/><br/>Active Author: "
           "<a href=\"mailto:me@thomaskeller.biz\">Thomas Keller</a>"
           "<br/>Retired Authors: "
           "<a href=\"mailto:ingo@liquidcooling.de\">Ingo Maindorfer</a> and "
           "<a href=\"mailto:ganwell@fangorn.ch\">Jean-Louis Fuchs</a>"
           "<br/><br/>This program is free software; you can redistribute it and/or modify<br/>"
           "it under the terms of the GNU General Public License as published by<br/>"
           "the Free Software Foundation, either version 3 of the License, or<br/>"
           "(at your option) any later version."
           "<br/><br/>Bugs? Suggestions? Help? "
           "<a href=\"http://guitone.thomaskeller.biz\">guitone Homepage</a>"
           "<br/><br/>Many thanks go to the friendly guys at "
           "<a href=\"irc://irc.freenode.net/qt\">#qt</a> for their helpful<br/>"
           "comments during endless coding sessions - you guys rock!"
        )
    );
}

About::~About() {}

