/***************************************************************************
 *   Copyright (C) 2006 by Ingo Maindorfer                                 *
 *   ingo@liquidcooling.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 ***************************************************************************/

#ifndef GENERATEKEYPAIR_H
#define GENERATEKEYPAIR_H

#include "Dialog.h"
#include "vocab.h"
#include "ui_generate_keypair.h"

class GenerateKeypair : public Dialog, private Ui::GenerateKeypair
{
    Q_OBJECT
public:
    GenerateKeypair(QWidget *, const MonotoneHandlePtr &);
    ~GenerateKeypair();

signals:
    void keypairGenerated(const QString &);

public slots:
    void accept();

private:
    MonotoneHandlePtr monotoneHandle;
};

#endif
