/***************************************************************************
 *   Copyright (C) 2010 by Thomas Keller                                   *
 *   me@thomaskeller.biz                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 ***************************************************************************/

#ifndef SERVERWINDOW_H
#define SERVERWINDOW_H

#include "vocab.h"
#include "MainWindow.h"

#include <QLabel>

class ServerWindow : public MainWindow
{
    Q_OBJECT
public:
    ServerWindow();
    virtual ~ServerWindow();

    virtual void init();
    virtual void setup();
    virtual void load(const MonotoneHandlePtr &);

protected:
    MonotoneHandlePtr monotoneHandle;

    QLabel      * serverAddressLabel;
    QLabel      * privateKeyLabel;
    QPushButton * revisionBrowser;
    QPushButton * netsyncDialog;
};

#endif
