/***************************************************************************
 *   Copyright (C) 2006 by Thomas Keller                                   *
 *   me@thomaskeller.biz                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 ***************************************************************************/

#ifndef DIFF_STATUS_VIEW_H
#define DIFF_STATUS_VIEW_H

#include "GetFileProxyModel.h"
#include <QWidget>

class DiffStatusView : public QWidget
{
    Q_OBJECT

public:
    DiffStatusView(QWidget*);
    ~DiffStatusView();
    void paintEvent(QPaintEvent*);
    inline void setModel(GetFileProxyModel * m) { model = m; }
    QSize minimumSizeHint() const;
    QSize sizeHint() const;

private:
    GetFileProxyModel * model;
};

#endif
